Download it now!
Bug 131784 - Gallery: Add new Arrows gallery
Summary: Gallery: Add new Arrows gallery
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords: needsUXEval
Depends on:
Blocks: Gallery_7.0
  Show dependency treegraph
 
Reported: 2020-04-01 13:10 UTC by andreas_k
Modified: 2020-05-12 18:42 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Arrows Gallery (91.03 KB, image/png)
2020-04-01 13:10 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2020-04-01 13:10:36 UTC
Created attachment 159225 [details]
Arrows Gallery

The existing Arrows gallery offers no editable shapes so I suggest to add a new Arrow gallery with shapes that can be modified by the user.
Comment 1 Heiko Tietze 2020-04-02 11:33:48 UTC
+1
Comment 2 Commit Notification 2020-04-05 11:21:20 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cd161d3a804d2c0f1555a46c4d6e39ca6ff0d80b

tdf#131784 Add new Arrows Gallery

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 BogdanB 2020-05-02 20:05:31 UTC
Verified on
Version: 7.0.0.0.alpha0+
Build ID: 05b87ae66ebccd06995cf530b860443ad9503b31
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-05-02_10:14:58
Calc: threaded
Comment 4 Telesto 2020-05-07 09:45:02 UTC
Posting it here, but can also report a new bug if needed.

Some shapes have large empty space around them when inserted into Writer. For example the 2 or 3-circle arrow.

I would expect something like the 180 degree arrow
Comment 5 andreas_k 2020-05-12 11:47:53 UTC
> Some shapes have large empty space around them when inserted into Writer.
> For example the 2 or 3-circle arrow.

will fix it.

> I would expect something like the 180 degree arrow

what do you have in mind?
Comment 6 andreas_k 2020-05-12 11:51:36 UTC
> Some shapes have large empty space around them when inserted into Writer.
> For example the 2 or 3-circle arrow.

can't fix it cause when I ungroup them and select both arrows it has always this big white area. 

However if you have some ideas of missing arrows (or any other gallery item) let me know.
Comment 7 Telesto 2020-05-12 18:21:25 UTC
(In reply to andreas_k from comment #6)
> > Some shapes have large empty space around them when inserted into Writer.
> > For example the 2 or 3-circle arrow.
> 
> can't fix it cause when I ungroup them and select both arrows it has always
> this big white area. 
 
Ah, not I get it, every arrow is actually a full circle.

And no suggestions at this point.. I have a lot of opinions.. but not on artwork.. An no knowledge about flow diagrams either..

The detailed view of the sounds of course is bit silly.. Everything looks the same.. but no clue how to fix that
Comment 8 andreas_k 2020-05-12 18:42:57 UTC
(In reply to Telesto from comment #7)
> Ah, not I get it, every arrow is actually a full circle.

The idea is to make the gallery items as flexible as possible. It's not always possible, but I'm on the way to make them usefull.
 
> And no suggestions at this point.. I have a lot of opinions.. but not on
> artwork.. An no knowledge about flow diagrams either..

It's very good to have someone how give imput.
 
> The detailed view of the sounds of course is bit silly.. Everything looks
> the same.. but no clue how to fix that

there is a gsoc student for extensions so hopefully we can fix the preview stuff also for sound. But there is also an list view for that reason.